Subject: [sipcore] Feature-Caps: Feature indication in target refresh request

From: Christer Holmberg <[email-masked]>
Date: Fri, 4 Nov 2011 14:12:48 +0100

Hi,

It has been indicated that it would be useful tobe able to re-indicate supported features within a dialog, as part of a target refresh request.

Based on that, I suggest the following modified section 6.2 text:

"6.2. SIP Dialog

The Feature-Caps header field can be used within an initial SIP
request for a dialog, within a target refresh SIP request, and within 
any 18x or 2xx response associated with such requests. If a feature 
tag is inserted in a Feature-Caps header field of such request or such 
response, the feature associated with the feature tag MUST be 
supported for the dialog, until the next time the dialog target
is refreshed, or the dialog is terminated."

Regards,

Christer